Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2225922 - icecat: FTBFS in Fedora rawhide/f39
Summary: icecat: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: icecat
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Antonio T. sagitter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 18:08 UTC by Fedora Release Engineering
Modified: 2023-09-15 18:47 UTC (History)
1 user (show)

Fixed In Version: icecat-102.15.0-2.rh1.fc38 icecat-102.15.0-2.rh1.fc37 icecat-102.15.0-2.rh1.fc39
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-11 01:16:51 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 18:08 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 18:08 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 18:08 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 18:08:28 UTC
icecat failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103609846


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix icecat at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
icecat will be orphaned. Before branching of Fedora 40,
icecat will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 18:08:33 UTC
Created attachment 1978198 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2023-07-25 18:08:38 UTC
Created attachment 1978199 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 18:08:41 UTC
Created attachment 1978200 [details]
state.log

Comment 4 Fedora Update System 2023-08-02 19:37:15 UTC
FEDORA-2023-80edd2fcb6 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-80edd2fcb6

Comment 5 Fedora Update System 2023-08-02 19:37:16 UTC
FEDORA-2023-6d49f8aba9 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-6d49f8aba9

Comment 6 Fedora Update System 2023-08-03 01:22:06 UTC
FEDORA-2023-6d49f8aba9 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-6d49f8aba9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-6d49f8aba9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-08-03 01:43:39 UTC
FEDORA-2023-80edd2fcb6 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-80edd2fcb6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-80edd2fcb6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-08-11 00:41:29 UTC
FEDORA-2023-6d49f8aba9 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2023-08-11 00:58:11 UTC
FEDORA-2023-80edd2fcb6 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Release Engineering 2023-08-16 07:57:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 11 Fedora Update System 2023-09-02 08:40:38 UTC
FEDORA-2023-4317452d9d has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-4317452d9d

Comment 12 Fedora Update System 2023-09-02 08:40:38 UTC
FEDORA-2023-6ced8d4c72 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-6ced8d4c72

Comment 13 Fedora Update System 2023-09-02 08:40:41 UTC
FEDORA-2023-6bb0fd15a7 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-6bb0fd15a7

Comment 14 Fedora Update System 2023-09-03 01:33:17 UTC
FEDORA-2023-6bb0fd15a7 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-6bb0fd15a7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-6bb0fd15a7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2023-09-03 02:13:00 UTC
FEDORA-2023-6ced8d4c72 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-6ced8d4c72`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-6ced8d4c72

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2023-09-03 02:22:48 UTC
FEDORA-2023-4317452d9d has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-4317452d9d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-4317452d9d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2023-09-11 01:16:51 UTC
FEDORA-2023-4317452d9d has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2023-09-11 01:32:24 UTC
FEDORA-2023-6bb0fd15a7 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2023-09-15 18:47:19 UTC
FEDORA-2023-6ced8d4c72 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.